Bug 150541 - [new port] sysutils/yum - Installer/updater for rpm
[new port] sysutils/yum - Installer/updater for rpm
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Pietro Cerutti
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-13 21:30 UTC by afb
Modified: 2012-10-19 09:48 UTC (History)
0 users

See Also:


Attachments
file.shar (25.38 KB, text/plain)
2010-09-13 21:30 UTC, afb
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description afb 2010-09-13 21:30:04 UTC
The yum package manager is used by Fedora (and CentOS) to manage RPM packages.

Fix: Patch attached with submission follows:
Comment 1 Pietro Cerutti freebsd_committer 2011-06-08 12:58:58 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gahr

I'll take it.
Comment 2 Pietro Cerutti freebsd_committer 2011-06-08 13:04:49 UTC
State Changed
From-To: open->feedback

Would you mind to update your patch to the latest yum version? Thanks!
Comment 3 afb 2012-06-12 16:59:25 UTC
8 jun 2011 kl. 17.26 skrev Pietro Cerutti:
> I have made a few modifications, mainly to the install part, to make
> sure that PREFIX is respected. The new shar is attached. Feedback is
> welcome.

As mentioned at the time, this minor update looks alright as well.

Blocked by: http://www.freebsd.org/cgi/query-pr.cgi?pr=168917
Comment 4 Pietro Cerutti freebsd_committer 2012-06-12 23:00:30 UTC
On 2012-Jun-12, 17:59, Anders F Björklund wrote:
> 8 jun 2011 kl. 17.26 skrev Pietro Cerutti:
> > I have made a few modifications, mainly to the install part, to make
> > sure that PREFIX is respected. The new shar is attached. Feedback is
> > welcome.
> 
> As mentioned at the time, this minor update looks alright as well.


Oh I must have missed your mentioning, sorry for that..

> Blocked by: http://www.freebsd.org/cgi/query-pr.cgi?pr=168917


Please follow-up as soon as py-urlgrabber is patched, and I'll take care
of committing this port.

-- 
Pietro Cerutti
The FreeBSD Project
gahr@FreeBSD.org

PGP Public Key:
http://gahr.ch/pgp
Comment 5 afb 2012-09-25 21:52:07 UTC
>> As mentioned at the time, this minor update looks alright as well.
> 
> Oh I must have missed your mentioning, sorry for that..
> 
>> Blocked by: http://www.freebsd.org/cgi/query-pr.cgi?pr=168917
> 
> Please follow-up as soon as py-urlgrabber is patched, and I'll take care
> of committing this port.

Seems like py-urlgrabber was committed, so yum could be added.

I'm not sure if anyone tried updating to the 3.4 branch yet ?
Comment 6 Pietro Cerutti freebsd_committer 2012-10-08 09:29:29 UTC
Here's an updated shar of version 3.4.3. Please test it in your
environment, and I'll commit the port if this turns out to work fine.

Thanks!


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	yum
#	yum/pkg-plist
#	yum/pkg-descr
#	yum/distinfo
#	yum/Makefile
#	yum/files
#	yum/files/patch-Makefile
#	yum/files/patch-docs-Makefile
#	yum/files/patch-po-Makefile
#	yum/files/patch-etc-Makefile
#	yum/files/patch-bin-yum.py
#	yum/files/patch-bin-yum-updatesd.py
#	yum/files/patch-yum-rpmsack.py
#	yum/files/patch-yum-config.py
#	yum/files/patch-yum-updatesd.py
#	yum/files/patch-yum-__init__.py
#	yum/files/patch-cli.py
#	yum/files/patch-yum-plugins.py
#	yum/files/patch-yum-packages.py
#	yum/files/patch-rpmUtils_Makefile
#	yum/files/patch-yum_Makefile
#	yum/.,
#	yum/.pkg-plist.swp
#
echo c - yum
mkdir -p yum > /dev/null 2>&1
echo x - yum/pkg-plist
sed 's/^X//' >yum/pkg-plist << '468e8191f82b8b4e79b552948132fdb1'
Xbin/yum
Xsbin/yum-updatesd
Xshare/yum-cli/callback.py
Xshare/yum-cli/callback.pyc
Xshare/yum-cli/cli.py
Xshare/yum-cli/cli.pyc
Xshare/yum-cli/output.py
Xshare/yum-cli/output.pyc
Xshare/yum-cli/shell.py
Xshare/yum-cli/shell.pyc
Xshare/yum-cli/utils.py
Xshare/yum-cli/utils.pyc
Xshare/yum-cli/yumcommands.py
Xshare/yum-cli/yumcommands.pyc
Xshare/yum-cli/yummain.py
Xshare/yum-cli/yummain.pyc
Xshare/yum-cli/yumupd.py
Xshare/yum-cli/yumupd.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/__init__.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/__init__.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/arch.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/arch.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/miscutils.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/miscutils.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/oldUtils.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/oldUtils.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/transaction.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/transaction.pyc
X%%PYTHON_SITELIBDIR%%/rpmUtils/updates.py
X%%PYTHON_SITELIBDIR%%/rpmUtils/updates.pyc
X%%PYTHON_SITELIBDIR%%/yum/Errors.py
X%%PYTHON_SITELIBDIR%%/yum/Errors.pyc
X%%PYTHON_SITELIBDIR%%/yum/__init__.py
X%%PYTHON_SITELIBDIR%%/yum/__init__.pyc
X%%PYTHON_SITELIBDIR%%/yum/callbacks.py
X%%PYTHON_SITELIBDIR%%/yum/callbacks.pyc
X%%PYTHON_SITELIBDIR%%/yum/comps.py
X%%PYTHON_SITELIBDIR%%/yum/comps.pyc
X%%PYTHON_SITELIBDIR%%/yum/config.py
X%%PYTHON_SITELIBDIR%%/yum/config.pyc
X%%PYTHON_SITELIBDIR%%/yum/constants.py
X%%PYTHON_SITELIBDIR%%/yum/constants.pyc
X%%PYTHON_SITELIBDIR%%/yum/depsolve.py
X%%PYTHON_SITELIBDIR%%/yum/depsolve.pyc
X%%PYTHON_SITELIBDIR%%/yum/failover.py
X%%PYTHON_SITELIBDIR%%/yum/failover.pyc
X%%PYTHON_SITELIBDIR%%/yum/history.py
X%%PYTHON_SITELIBDIR%%/yum/history.pyc
X%%PYTHON_SITELIBDIR%%/yum/i18n.py
X%%PYTHON_SITELIBDIR%%/yum/i18n.pyc
X%%PYTHON_SITELIBDIR%%/yum/logginglevels.py
X%%PYTHON_SITELIBDIR%%/yum/logginglevels.pyc
X%%PYTHON_SITELIBDIR%%/yum/mdparser.py
X%%PYTHON_SITELIBDIR%%/yum/mdparser.pyc
X%%PYTHON_SITELIBDIR%%/yum/metalink.py
X%%PYTHON_SITELIBDIR%%/yum/metalink.pyc
X%%PYTHON_SITELIBDIR%%/yum/misc.py
X%%PYTHON_SITELIBDIR%%/yum/misc.pyc
X%%PYTHON_SITELIBDIR%%/yum/packageSack.py
X%%PYTHON_SITELIBDIR%%/yum/packageSack.pyc
X%%PYTHON_SITELIBDIR%%/yum/packages.py
X%%PYTHON_SITELIBDIR%%/yum/packages.pyc
X%%PYTHON_SITELIBDIR%%/yum/parser.py
X%%PYTHON_SITELIBDIR%%/yum/parser.pyc
X%%PYTHON_SITELIBDIR%%/yum/pgpmsg.py
X%%PYTHON_SITELIBDIR%%/yum/pgpmsg.pyc
X%%PYTHON_SITELIBDIR%%/yum/pkgtag_db.py
X%%PYTHON_SITELIBDIR%%/yum/pkgtag_db.pyc
X%%PYTHON_SITELIBDIR%%/yum/plugins.py
X%%PYTHON_SITELIBDIR%%/yum/plugins.pyc
X%%PYTHON_SITELIBDIR%%/yum/repoMDObject.py
X%%PYTHON_SITELIBDIR%%/yum/repoMDObject.pyc
X%%PYTHON_SITELIBDIR%%/yum/repos.py
X%%PYTHON_SITELIBDIR%%/yum/repos.pyc
X%%PYTHON_SITELIBDIR%%/yum/rpmsack.py
X%%PYTHON_SITELIBDIR%%/yum/rpmsack.pyc
X%%PYTHON_SITELIBDIR%%/yum/rpmtrans.py
X%%PYTHON_SITELIBDIR%%/yum/rpmtrans.pyc
X%%PYTHON_SITELIBDIR%%/yum/sqlitesack.py
X%%PYTHON_SITELIBDIR%%/yum/sqlitesack.pyc
X%%PYTHON_SITELIBDIR%%/yum/sqlutils.py
X%%PYTHON_SITELIBDIR%%/yum/sqlutils.pyc
X%%PYTHON_SITELIBDIR%%/yum/transactioninfo.py
X%%PYTHON_SITELIBDIR%%/yum/transactioninfo.pyc
X%%PYTHON_SITELIBDIR%%/yum/update_md.py
X%%PYTHON_SITELIBDIR%%/yum/update_md.pyc
X%%PYTHON_SITELIBDIR%%/yum/yumRepo.py
X%%PYTHON_SITELIBDIR%%/yum/yumRepo.pyc
Xshare/locale/bn_IN/LC_MESSAGES/yum.mo
Xshare/locale/ca/LC_MESSAGES/yum.mo
Xshare/locale/cs/LC_MESSAGES/yum.mo
Xshare/locale/da/LC_MESSAGES/yum.mo
Xshare/locale/de/LC_MESSAGES/yum.mo
Xshare/locale/el/LC_MESSAGES/yum.mo
Xshare/locale/en_GB/LC_MESSAGES/yum.mo
Xshare/locale/es/LC_MESSAGES/yum.mo
Xshare/locale/eu/LC_MESSAGES/yum.mo
Xshare/locale/fi/LC_MESSAGES/yum.mo
Xshare/locale/fr/LC_MESSAGES/yum.mo
Xshare/locale/gu/LC_MESSAGES/yum.mo
Xshare/locale/hi/LC_MESSAGES/yum.mo
Xshare/locale/hu/LC_MESSAGES/yum.mo
Xshare/locale/id/LC_MESSAGES/yum.mo
Xshare/locale/id_ID/LC_MESSAGES/yum.mo
Xshare/locale/it/LC_MESSAGES/yum.mo
Xshare/locale/ja/LC_MESSAGES/yum.mo
Xshare/locale/lt_LT/LC_MESSAGES/yum.mo
Xshare/locale/mr/LC_MESSAGES/yum.mo
Xshare/locale/ms/LC_MESSAGES/yum.mo
Xshare/locale/nb/LC_MESSAGES/yum.mo
Xshare/locale/pa/LC_MESSAGES/yum.mo
Xshare/locale/pl/LC_MESSAGES/yum.mo
Xshare/locale/pt/LC_MESSAGES/yum.mo
Xshare/locale/pt_BR/LC_MESSAGES/yum.mo
Xshare/locale/ru/LC_MESSAGES/yum.mo
Xshare/locale/sr/LC_MESSAGES/yum.mo
Xshare/locale/sr@latin/LC_MESSAGES/yum.mo
Xshare/locale/sv/LC_MESSAGES/yum.mo
Xshare/locale/uk/LC_MESSAGES/yum.mo
Xshare/locale/ur/LC_MESSAGES/yum.mo
Xshare/locale/zh_CN/LC_MESSAGES/yum.mo
Xshare/locale/zh_TW/LC_MESSAGES/yum.mo
Xetc/logrotate.d/yum
Xetc/rc.d/init.d/yum-updatesd
Xetc/dbus-1/system.d/yum-updatesd.conf
Xetc/bash_completion.d/yum.bash
Xetc/yum/version-groups.conf
Xetc/yum/yum.conf
Xetc/yum/yum-updatesd.conf
Xetc/yum/yum.conf.sample
Xetc/yum/yum-updatesd.conf.sample
X@dirrm share/yum-cli
X@dirrm etc/yum/repos.d
X@dirrm etc/yum/vars
X@dirrm etc/yum/protected.d
X@dirrm etc/yum
X@dirrm %%PYTHON_SITELIBDIR%%/rpmUtils
X@dirrm %%PYTHON_SITELIBDIR%%/yum
X@dirrmtry etc/logrotate.d
X
X@unexec if cmp -s %D/etc/yum/yum.conf.sample %D/etc/yum/yum.conf; then rm -f %D/etc/yum/yum.conf; fi
X@exec if [ ! -f %D/etc/yum/yum.conf ]; then cp -p %D/%F %B/yum.conf; fi
X@unexec if cmp -s %D/etc/yum/yum-updatesd.conf.sample %D/etc/yum/yum-updatesd.conf; then rm -f %D/etc/yum/yum-updatesd.conf; fi
X@exec if [ ! -f %D/etc/yum-updatesd/yum.conf ]; then cp -p %D/%F %B/yum-updatesd.conf; fi
X@unexec rmdir /var/cache/yum 2>&1 >/dev/null || true
X@unexec rmdir /var/lib/yum 2>&1 >/dev/null || true
468e8191f82b8b4e79b552948132fdb1
echo x - yum/pkg-descr
sed 's/^X//' >yum/pkg-descr << '230835c56f9d6fe68aa7a4375c28ffaf'
XYum is a utility that can check for and automatically download and
Xinstall updated RPM packages. Dependencies are obtained and downloaded
Xautomatically prompting the user as necessary. 
X
XWWW: http://yum.baseurl.org/
230835c56f9d6fe68aa7a4375c28ffaf
echo x - yum/distinfo
sed 's/^X//' >yum/distinfo << '69bf9e2bce9dd38622bd137705efa480'
XSHA256 (yum-3.4.3.tar.gz) = 0178f97820ced9bfbcc269e6fc3ea35e29e35e2d263d24c7bff8660ee62d37ca
XSIZE (yum-3.4.3.tar.gz) = 1140370
69bf9e2bce9dd38622bd137705efa480
echo x - yum/Makefile
sed 's/^X//' >yum/Makefile << 'aa720e3fcc559f66634f8ded2cf4b1b4'
X# Created by: Anders F Bjorklund <afb@rpm5.org>
X# $FreeBSD$
X
XPORTNAME=	yum
XPORTVERSION=	3.4.3
XCATEGORIES=	sysutils
XMASTER_SITES=	http://yum.baseurl.org/download/${PORTVERSION:R}/
X
XMAINTAINER=	ports@FreeBSD.org
XCOMMENT=	Installer/updater for rpm
X
XBUILD_DEPENDS=	bash:${PORTSDIR}/shells/bash \
X		msgfmt:${PORTSDIR}/devel/gettext \
X		intltool-update:${PORTSDIR}/textproc/intltool
XRUN_DEPENDS=	${PYTHON_SITELIBDIR}/rpm:${PORTSDIR}/archivers/rpm4 \
X		${PYTHON_SITELIBDIR}/_sqlite3.so:${PORTSDIR}/databases/py-sqlite3 \
X		${PYTHON_SITELIBDIR}/sqlitecachec.py:${PORTSDIR}/devel/py-yum-metadata-parser \
X		${PYTHON_SITELIBDIR}/iniparse:${PORTSDIR}/devel/py-iniparse \
X		${PYTHON_SITELIBDIR}/urlgrabber:${PORTSDIR}/www/py-urlgrabber
X
XUSE_PYTHON=	yes
XUSE_GMAKE=	yes
XUSE_GETTEXT=	yes
X
XMAKE_ARGS=	MAKE=${GMAKE} PYTHON=${PYTHON_CMD} \
X		prefix=${PREFIX} mandir=${MANPREFIX}/man sysconfdir=${PREFIX}/etc
X
XPLIST_SUB+=	PYTHONPREFIX_SITELIBDIR=${PYTHONPREFIX_SITELIBDIR}
X
XMAN5=		yum.conf.5 yum-updatesd.conf.5
XMAN8=		yum.8 yum-updatesd.8 yum-shell.8
X
XRPMDIR?=	/var/lib/rpm
X
Xpost-patch:
X	${REINPLACE_CMD} -e 's|@PREFIX@|${PREFIX}|g' -e \
X	's|@RPMDIR@|${RPMDIR}|g' -e \
X	's|@LOCALBASE@|${LOCALBASE}|g' \
X		${WRKSRC}/bin/yum.py \
X		${WRKSRC}/bin/yum-updatesd.py \
X		${WRKSRC}/cli.py \
X		${WRKSRC}/yum-updatesd.py \
X		${WRKSRC}/yum/__init__.py \
X		${WRKSRC}/yum/config.py \
X		${WRKSRC}/yum/rpmsack.py \
X		${WRKSRC}/yum/plugins.py
X	${REINPLACE_CMD} -e 's|#!/usr/bin/python|#!${PYTHON_CMD}|' \
X		${WRKSRC}/bin/yum.py \
X		${WRKSRC}/bin/yum-updatesd.py \
X		${WRKSRC}/callback.py \
X		${WRKSRC}/cli.py \
X		${WRKSRC}/output.py \
X		${WRKSRC}/yumcommands.py \
X		${WRKSRC}/yummain.py \
X		${WRKSRC}/yum-updatesd.py \
X		${WRKSRC}/utils.py \
X		${WRKSRC}/rpmUtils/__init__.py \
X		${WRKSRC}/rpmUtils/arch.py \
X		${WRKSRC}/rpmUtils/miscutils.py \
X		${WRKSRC}/rpmUtils/oldUtils.py \
X		${WRKSRC}/rpmUtils/transaction.py \
X		${WRKSRC}/rpmUtils/updates.py \
X		${WRKSRC}/yum/__init__.py \
X		${WRKSRC}/yum/Errors.py \
X		${WRKSRC}/yum/callbacks.py \
X		${WRKSRC}/yum/config.py \
X		${WRKSRC}/yum/depsolve.py \
X		${WRKSRC}/yum/failover.py \
X		${WRKSRC}/yum/history.py \
X		${WRKSRC}/yum/i18n.py \
X		${WRKSRC}/yum/metalink.py \
X		${WRKSRC}/yum/packageSack.py \
X		${WRKSRC}/yum/packages.py \
X		${WRKSRC}/yum/pkgtag_db.py \
X		${WRKSRC}/yum/repoMDObject.py \
X		${WRKSRC}/yum/repos.py \
X		${WRKSRC}/yum/rpmsack.py \
X		${WRKSRC}/yum/rpmtrans.py \
X		${WRKSRC}/yum/sqlitesack.py \
X		${WRKSRC}/yum/sqlutils.py \
X		${WRKSRC}/yum/update_md.py
X	${REINPLACE_CMD} -e 's|%%PYTHONPREFIX_SITELIBDIR%%|${PYTHONPREFIX_SITELIBDIR}|' \
X		${WRKSRC}/yum/Makefile ${WRKSRC}/rpmUtils/Makefile
X
Xpre-install:
X	${MKDIR} ${PREFIX}/share/yum-cli
X	${MKDIR} ${PREFIX}/etc/yum/repos.d
X	${MKDIR} ${PYTHONPREFIX_SITELIBDIR}/rpmUtils
X	${MKDIR} ${PYTHONPREFIX_SITELIBDIR}/yum
X	${MKDIR} /var/cache/yum
X	${MKDIR} /var/lib/yum
X
Xpost-install:
X	if [ ! -f ${PREFIX}/etc/yum/yum.conf ]; then \
X		${CP} -p ${PREFIX}/etc/yum/yum.conf.sample ${PREFIX}/etc/yum/yum.conf; \
X	fi
X	if [ ! -f ${PREFIX}/etc/yum/yum-updatesd.conf ]; then \
X		${CP} -p ${PREFIX}/etc/yum/yum-updatesd.conf.sample ${PREFIX}/etc/yum/yum-updatesd.conf; \
X	fi
X
X.include <bsd.port.mk>
aa720e3fcc559f66634f8ded2cf4b1b4
echo c - yum/files
mkdir -p yum/files > /dev/null 2>&1
echo x - yum/files/patch-Makefile
sed 's/^X//' >yum/files/patch-Makefile << '9333385e3422b61169b9fc81b02d8216'
X--- Makefile.orig	2010-05-06 16:54:46.000000000 +0200
X+++ Makefile	2010-08-22 14:31:31.000000000 +0200
X@@ -7,36 +7,39 @@
X VERSION=$(shell awk '/Version:/ { print $$2 }' ${PKGNAME}.spec)
X RELEASE=$(shell awk '/Release:/ { print $$2 }' ${PKGNAME}.spec)
X CVSTAG=yum-$(subst .,_,$(VERSION)-$(RELEASE))
X+MAKE=make
X PYTHON=python
X WEBHOST = yum.baseurl.org
X WEB_DOC_PATH = /srv/projects/yum/web/download/docs/yum-api/
X 
X+prefix = /usr
X+
X all: subdirs
X 
X clean:
X 	rm -f *.pyc *.pyo *~ *.bak
X-	for d in $(SUBDIRS); do make -C $$d clean ; done
X+	for d in $(SUBDIRS); do $(MAKE) -C $$d clean ; done
X 	cd test; rm -f *.pyc *.pyo *~ *.bak
X 
X subdirs:
X-	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) -C $$d; [ $$? = 0 ] || exit 1 ; done
X+	for d in $(SUBDIRS); do $(MAKE) PYTHON=$(PYTHON) -C $$d; [ $$? = 0 ] || exit 1 ; done
X 
X install:
X-	mkdir -p $(DESTDIR)/usr/share/yum-cli
X+	mkdir -p $(DESTDIR)$(prefix)/share/yum-cli
X 	for p in $(PYFILES) ; do \
X-		install -m 644 $$p $(DESTDIR)/usr/share/yum-cli/$$p; \
X+		install -m 644 $$p $(DESTDIR)$(prefix)/share/yum-cli/$$p; \
X 	done
X-	mv $(DESTDIR)/usr/share/yum-cli/yum-updatesd.py $(DESTDIR)/usr/share/yum-cli/yumupd.py
X-	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)/usr/share/yum-cli', 1, '$(PYDIR)', 1)"
X+	mv $(DESTDIR)$(prefix)/share/yum-cli/yum-updatesd.py $(DESTDIR)$(prefix)/share/yum-cli/yumupd.py
X+	$(PYTHON) -c "import compileall; compileall.compile_dir('$(DESTDIR)$(prefix)/share/yum-cli', 1, '$(PYDIR)', 1)"
X 
X-	mkdir -p $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
X-	install -m 755 bin/yum.py $(DESTDIR)/usr/bin/yum
X-	install -m 755 bin/yum-updatesd.py $(DESTDIR)/usr/sbin/yum-updatesd
X+	mkdir -p $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/sbin
X+	install -m 755 bin/yum.py $(DESTDIR)$(prefix)/bin/yum
X+	install -m 755 bin/yum-updatesd.py $(DESTDIR)$(prefix)/sbin/yum-updatesd
X 
X 	mkdir -p $(DESTDIR)/var/cache/yum
X 	mkdir -p $(DESTDIR)/var/lib/yum
X 
X-	for d in $(SUBDIRS); do make PYTHON=$(PYTHON) DESTDIR=`cd $(DESTDIR); pwd` -C $$d install; [ $$? = 0 ] || exit 1; done
X+	for d in $(SUBDIRS); do $(MAKE) PYTHON=$(PYTHON) DESTDIR=`if [ ! -z "$(DESTDIR)" ]; then cd $(DESTDIR); pwd; fi` -C $$d install; [ $$? = 0 ] || exit 1; done
X 
X .PHONY: docs test
X 
X@@ -64,7 +67,7 @@
X test:
X 	@nosetests -i ".*test" test
X 	-@test/check-po-yes-no.py
X-	cd po; make test
X+	cd po; $(MAKE) test
X 
X test-skipbroken:
X 	@nosetests -i ".*test" test/skipbroken-tests.py
9333385e3422b61169b9fc81b02d8216
echo x - yum/files/patch-docs-Makefile
sed 's/^X//' >yum/files/patch-docs-Makefile << '18699777c61c5540acd8385bc137a0b5'
X--- docs/Makefile.orig	2010-05-06 16:54:46.000000000 +0200
X+++ docs/Makefile	2010-08-22 11:56:34.000000000 +0200
X@@ -1,3 +1,7 @@
X+prefix = /usr
X+
X+mandir = $(prefix)/share/man
X+
X all:
X 	echo "Nothing to do"
X 
X@@ -6,10 +10,10 @@
X 	rm -fr epydoc
X 
X install:
X-	mkdir -p $(DESTDIR)/usr/share/man/man5
X-	mkdir -p $(DESTDIR)/usr/share/man/man8
X-	install -m 644 yum.8 $(DESTDIR)/usr/share/man/man8/yum.8
X-	install -m 644 yum-shell.8 $(DESTDIR)/usr/share/man/man8/yum-shell.8
X-	install -m 644 yum.conf.5 $(DESTDIR)/usr/share/man/man5/yum.conf.5
X-	install -m 644 yum-updatesd.8 $(DESTDIR)/usr/share/man/man8/yum-updatesd.8
X-	install -m 644 yum-updatesd.conf.5 $(DESTDIR)/usr/share/man/man5/yum-updatesd.conf.5
X+	mkdir -p $(DESTDIR)$(mandir)/man5
X+	mkdir -p $(DESTDIR)$(mandir)/man8
X+	install -m 644 yum.8 $(DESTDIR)$(mandir)/man8/yum.8
X+	install -m 644 yum-shell.8 $(DESTDIR)$(mandir)/man8/yum-shell.8
X+	install -m 644 yum.conf.5 $(DESTDIR)$(mandir)/man5/yum.conf.5
X+	install -m 644 yum-updatesd.8 $(DESTDIR)$(mandir)/man8/yum-updatesd.8
X+	install -m 644 yum-updatesd.conf.5 $(DESTDIR)$(mandir)/man5/yum-updatesd.conf.5
18699777c61c5540acd8385bc137a0b5
echo x - yum/files/patch-po-Makefile
sed 's/^X//' >yum/files/patch-po-Makefile << '65f714043b928697b9f708b59db6882f'
X--- po/Makefile.orig	2010-05-06 16:54:46.000000000 +0200
X+++ po/Makefile	2011-06-08 17:19:11.000000000 +0200
X@@ -1,7 +1,9 @@
X+localedir = share/locale
X+
X INSTALL= /usr/bin/install -c
X INSTALL_PROGRAM= ${INSTALL}
X INSTALL_DATA= ${INSTALL} -m 644
X-INSTALLNLSDIR=$(DESTDIR)/usr/share/locale
X+INSTALLNLSDIR=$(DESTDIR)$(localedir)
X top_srcdir = "."
X 
X 
X@@ -77,4 +79,4 @@
X 	msgfmt -c $$n; \
X 	done
X 
X- 
X\ No newline at end of file
X+ 
65f714043b928697b9f708b59db6882f
echo x - yum/files/patch-etc-Makefile
sed 's/^X//' >yum/files/patch-etc-Makefile << 'bb6323a000b225ac60a76966e638e92b'
X--- etc/Makefile.orig	2011-01-12 22:46:01.000000000 +0100
X+++ etc/Makefile	2011-06-07 23:55:37.000000000 +0200
X@@ -1,4 +1,8 @@
X-YUMETC=$(DESTDIR)/etc/yum
X+prefix = /usr
X+
X+sysconfdir = /etc
X+
X+YUMETC=$(DESTDIR)$(sysconfdir)/yum
X 
X all:
X 	echo "Nothing to do"
X@@ -7,32 +11,32 @@
X 	rm -f *.pyc *.pyo *~
X 
X install:
X-	mkdir -p $(DESTDIR)/etc/yum/
X-	mkdir -p $(DESTDIR)/etc/yum/protected.d
X-	mkdir -p $(DESTDIR)/etc/yum/repos.d
X-	mkdir -p $(DESTDIR)/etc/yum/vars
X+	mkdir -p $(DESTDIR)$(sysconfdir)/yum/
X+	mkdir -p $(DESTDIR)$(sysconfdir)/yum/protected.d
X+	mkdir -p $(DESTDIR)$(sysconfdir)/yum/repos.d
X+	mkdir -p $(DESTDIR)$(sysconfdir)/yum/vars
X 
X-	install -m 644 yum.conf $(YUMETC)/yum.conf
X+	install -m 644 yum.conf $(YUMETC)/yum.conf.sample
X 
X 	install -m 644 version-groups.conf $(YUMETC)/version-groups.conf
X 
X-	mkdir -p $(DESTDIR)/etc/logrotate.d
X-	install -m 644 yum.logrotate $(DESTDIR)/etc/logrotate.d/yum
X+	mkdir -p $(DESTDIR)$(sysconfdir)/logrotate.d
X+	install -m 644 yum.logrotate $(DESTDIR)$(sysconfdir)/logrotate.d/yum
X 
X-	mkdir -p $(DESTDIR)/etc/rc.d/init.d
X-	install -m 755 yum-updatesd.init $(DESTDIR)/etc/rc.d/init.d/yum-updatesd
X+	mkdir -p $(DESTDIR)$(sysconfdir)/rc.d/init.d
X+	install -m 755 yum-updatesd.init $(DESTDIR)$(sysconfdir)/rc.d/init.d/yum-updatesd
X 
X-	mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
X-	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)/etc/dbus-1/system.d/yum-updatesd.conf
X+	mkdir -p $(DESTDIR)$(sysconfdir)/dbus-1/system.d/
X+	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)$(sysconfdir)/dbus-1/system.d/yum-updatesd.conf
X 
X-	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
X-
X-	mkdir -p $(DESTDIR)/etc/bash_completion.d
X-	install -m 644 yum.bash $(DESTDIR)/etc/bash_completion.d
X-	mkdir -p $(DESTDIR)/etc/cron.daily
X-	mkdir -p $(DESTDIR)/etc/sysconfig/
X-	install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
X-	install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
X-	install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
X-	install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
X-	install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron
X+	install -m 755 yum-updatesd.conf $(DESTDIR)$(sysconfdir)/yum/yum-updatesd.conf.sample
X+
X+	mkdir -p $(DESTDIR)$(sysconfdir)/bash_completion.d
X+	install -m 644 yum.bash $(DESTDIR)$(sysconfdir)/bash_completion.d
X+	#mkdir -p $(DESTDIR)/etc/cron.daily
X+	#mkdir -p $(DESTDIR)/etc/sysconfig/
X+	#install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
X+	#install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
X+	#install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
X+	#install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
X+	#install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron
bb6323a000b225ac60a76966e638e92b
echo x - yum/files/patch-bin-yum.py
sed 's/^X//' >yum/files/patch-bin-yum.py << '79962ae1d3cfd3a8953e21b1ffc58370'
X--- bin/yum.py.orig	2010-05-06 16:54:46.000000000 +0200
X+++ bin/yum.py	2010-08-22 12:55:43.000000000 +0200
X@@ -23,7 +23,7 @@
X """ % (sys.exc_value, sys.version)
X     sys.exit(1)
X 
X-sys.path.insert(0, '/usr/share/yum-cli')
X+sys.path.insert(0, '@PREFIX@/share/yum-cli')
X try:
X     import yummain
X     yummain.user_main(sys.argv[1:], exit_code=True)
79962ae1d3cfd3a8953e21b1ffc58370
echo x - yum/files/patch-bin-yum-updatesd.py
sed 's/^X//' >yum/files/patch-bin-yum-updatesd.py << '184da39a60a1b950df2235818226b220'
X--- bin/yum-updatesd.py.orig	2010-08-22 12:58:40.000000000 +0200
X+++ bin/yum-updatesd.py	2010-08-22 12:59:38.000000000 +0200
X@@ -16,7 +16,7 @@
X     os.dup2(fd, 2)
X     os.close(fd)
X 
X-sys.path.insert(0, '/usr/share/yum-cli')
X+sys.path.insert(0, '@PREFIX@/share/yum-cli')
X try:
X     import yumupd
X     yumupd.main(options)
184da39a60a1b950df2235818226b220
echo x - yum/files/patch-yum-rpmsack.py
sed 's/^X//' >yum/files/patch-yum-rpmsack.py << 'f20506f2c48eb764751e8290abedadaf'
X--- yum/rpmsack.py.orig	2010-07-26 23:04:25.000000000 +0200
X+++ yum/rpmsack.py	2010-08-22 15:38:07.000000000 +0200
X@@ -894,7 +894,7 @@
X         # http://lists.rpm.org/pipermail/rpm-maint/2007-November/001719.html
X         # ...if anything gets implemented, we should change.
X         rpmdbvfname = self._cachedir + "/version"
X-        rpmdbfname  = self.root + "/var/lib/rpm/Packages"
X+        rpmdbfname  = self.root + "@RPMDIR@/Packages"
X 
X         if os.path.exists(rpmdbvfname) and os.path.exists(rpmdbfname):
X             # See if rpmdb has "changed" ...
X@@ -1428,6 +1428,7 @@
X         self.conf.writable = False
X         
X         self._packages = {} # pkgid = dir
X+        self.yumdb_cache = None
X         if not os.path.exists(self.conf.db_path):
X             try:
X                 os.makedirs(self.conf.db_path)
f20506f2c48eb764751e8290abedadaf
echo x - yum/files/patch-yum-config.py
sed 's/^X//' >yum/files/patch-yum-config.py << '882ed8d0670346dc2a03ad0d8f662e0b'
X--- yum/config.py.orig	2010-06-17 17:24:18.000000000 +0200
X+++ yum/config.py	2010-08-22 13:27:21.000000000 +0200
X@@ -614,10 +614,10 @@
X 
X     distroverpkg = Option('redhat-release')
X     installroot = Option('/')
X-    config_file_path = Option('/etc/yum/yum.conf')
X+    config_file_path = Option('@PREFIX@/etc/yum/yum.conf')
X     plugins = BoolOption(False)
X-    pluginpath = ListOption(['/usr/share/yum-plugins', '/usr/lib/yum-plugins'])
X-    pluginconfpath = ListOption(['/etc/yum/pluginconf.d'])
X+    pluginpath = ListOption(['@PREFIX@/share/yum-plugins', '@PREFIX@/lib/yum-plugins'])
X+    pluginconfpath = ListOption(['@PREFIX@/etc/yum/pluginconf.d'])
X     gaftonmode = BoolOption(False)
X     syslog_ident = Option()
X     syslog_facility = Option('LOG_USER')
X@@ -637,7 +637,7 @@
X 
X     keepcache = BoolOption(True)
X     logfile = Option('/var/log/yum.log')
X-    reposdir = ListOption(['/etc/yum/repos.d', '/etc/yum.repos.d'])
X+    reposdir = ListOption(['@PREFIX@/etc/yum/repos.d', '@PREFIX@/etc/yum.repos.d'])
X 
X     commands = ListOption()
X     exclude = ListOption()
X@@ -733,7 +733,7 @@
X 
X     rpmverbosity = Option('info')
X 
X-    protected_packages = ListOption("yum, glob:/etc/yum/protected.d/*.conf",
X+    protected_packages = ListOption("yum, glob:@PREFIX@/etc/yum/protected.d/*.conf",
X                                     parse_default=True)
X     exit_on_lock = BoolOption(False)
X     
X@@ -898,7 +898,7 @@
X     
X     # Read the FS yumvars
X     try:
X-        dir_fsvars = yumconf.installroot + "/etc/yum/vars/"
X+        dir_fsvars = yumconf.installroot + "@PREFIX@/etc/yum/vars/"
X         fsvars = os.listdir(dir_fsvars)
X     except OSError:
X         fsvars = []
X@@ -936,7 +936,7 @@
X     
X     return yumconf
X 
X-def readVersionGroupsConfig(configfile="/etc/yum/version-groups.conf"):
X+def readVersionGroupsConfig(configfile="@PREFIX@/etc/yum/version-groups.conf"):
X     parser = ConfigParser()
X     confpp_obj = ConfigPreProcessor(configfile)
X     try:
X@@ -1048,7 +1048,7 @@
X     fp.close()
X 
X #def main():
X-#    mainconf = readMainConfig(readStartupConfig('/etc/yum/yum.conf', '/'))
X+#    mainconf = readMainConfig(readStartupConfig('@PREFIX@/etc/yum/yum.conf', '/'))
X #    print mainconf.cachedir
X #
X #if __name__ == '__main__':
882ed8d0670346dc2a03ad0d8f662e0b
echo x - yum/files/patch-yum-updatesd.py
sed 's/^X//' >yum/files/patch-yum-updatesd.py << 'b9cd9b1997937ae4a1d2a0d88a158a98'
X--- yum-updatesd.py.orig	2010-05-06 16:54:46.000000000 +0200
X+++ yum-updatesd.py	2010-08-22 13:29:51.000000000 +0200
X@@ -53,10 +53,10 @@
X from yum.update_md import UpdateMetadata
X 
X # FIXME: is it really sane to use this from here?
X-sys.path.append('/usr/share/yum-cli')
X+sys.path.append('@PREFIX@/share/yum-cli')
X import callback
X 
X-config_file = '/etc/yum/yum-updatesd.conf'
X+config_file = '@PREFIX@/etc/yum/yum-updatesd.conf'
X initial_directory = os.getcwd()
X 
X class UpdateEmitter(object):
b9cd9b1997937ae4a1d2a0d88a158a98
echo x - yum/files/patch-yum-__init__.py
sed 's/^X//' >yum/files/patch-yum-__init__.py << 'd86c5dbef23f629faf9047a4668aa2c8'
X--- yum/__init__.py.orig	2010-07-30 21:59:10.000000000 +0200
X+++ yum/__init__.py	2010-08-22 13:33:50.000000000 +0200
X@@ -92,7 +92,7 @@
X        you tweak it here, and when yb.conf does it's thing ... it happens. """
X 
X     def __init__(self):
X-        self.fn = '/etc/yum/yum.conf'
X+        self.fn = '@PREFIX@/etc/yum/yum.conf'
X         self.root = '/'
X         self.init_plugins = True
X         self.plugin_types = (plugins.TYPE_CORE,)
X@@ -208,7 +208,7 @@
X         self.preconf.init_plugins = False
X         self.conf.cache = cache
X 
X-    def doConfigSetup(self, fn='/etc/yum/yum.conf', root='/', init_plugins=True,
X+    def doConfigSetup(self, fn='@PREFIX@/etc/yum/yum.conf', root='/', init_plugins=True,
X             plugin_types=(plugins.TYPE_CORE,), optparser=None, debuglevel=None,
X             errorlevel=None):
X         warnings.warn(_('doConfigSetup() will go away in a future version of Yum.\n'),
X@@ -270,9 +270,9 @@
X 
X         # TODO: Remove this block when we no longer support configs outside
X         # of /etc/yum/
X-        if fn == '/etc/yum/yum.conf' and not os.path.exists(fn):
X+        if fn == '@PREFIX@/etc/yum/yum.conf' and not os.path.exists(fn):
X             # Try the old default
X-            fn = '/etc/yum.conf'
X+            fn = '@PREFIX@/etc/yum.conf'
X 
X         startupconf = config.readStartupConfig(fn, root)
X         startupconf.arch = arch
d86c5dbef23f629faf9047a4668aa2c8
echo x - yum/files/patch-cli.py
sed 's/^X//' >yum/files/patch-cli.py << '7b57345f5671db45551e49a45abbf380'
X--- cli.py.orig	2010-07-07 20:46:08.000000000 +0200
X+++ cli.py	2010-08-22 13:35:53.000000000 +0200
X@@ -1412,10 +1412,10 @@
X         if opts.installroot:
X             if os.access(opts.installroot+'/'+opts.conffile, os.R_OK):
X                 opts.conffile = opts.installroot+'/'+opts.conffile
X-            elif opts.conffile == '/etc/yum/yum.conf':
X-                # check if /installroot/etc/yum.conf exists.
X-                if os.access(opts.installroot+'/etc/yum.conf', os.R_OK):
X-                    opts.conffile = opts.installroot+'/etc/yum.conf'         
X+            elif opts.conffile == '@PREFIX@/etc/yum/yum.conf':
X+                # check if /installroot@PREFIX@/etc/yum.conf exists.
X+                if os.access(opts.installroot+'@PREFIX@/etc/yum.conf', os.R_OK):
X+                    opts.conffile = opts.installroot+'@PREFIX@/etc/yum.conf'         
X             root=opts.installroot
X         else:
X             root = '/'
X@@ -1456,7 +1456,7 @@
X                 action="store_true",
X                 help=_("run entirely from system cache, don't update cache"))
X         group.add_option("-c", "--config", dest="conffile",
X-                default='/etc/yum/yum.conf',
X+                default='@PREFIX@/etc/yum/yum.conf',
X                 help=_("config file location"), metavar='[config file]')
X         group.add_option("-R", "--randomwait", dest="sleeptime", type='int',
X                 default=None,
7b57345f5671db45551e49a45abbf380
echo x - yum/files/patch-yum-plugins.py
sed 's/^X//' >yum/files/patch-yum-plugins.py << '45eb97137374b6029a08368eef93b0d3'
X--- yum/plugins.py.orig	2010-07-06 17:46:39.000000000 +0200
X+++ yum/plugins.py	2010-08-22 13:36:48.000000000 +0200
X@@ -135,7 +135,7 @@
X             files. Defaults to "/etc/yum/pluginconf.d".
X         '''
X         if not pluginconfpath:
X-            pluginconfpath = ['/etc/yum/pluginconf.d']
X+            pluginconfpath = ['@PREFIX@/etc/yum/pluginconf.d']
X 
X         self.searchpath = searchpath
X         self.pluginconfpath = pluginconfpath
45eb97137374b6029a08368eef93b0d3
echo x - yum/files/patch-yum-packages.py
sed 's/^X//' >yum/files/patch-yum-packages.py << '410a2c72a728d2befdbc75243e291b3e'
X--- yum/packages.py.orig
X+++ yum/packages.py
X@@ -1353,11 +1353,14 @@
X            is a pre-requires or a not"""
X         # FIXME this should probably be put in rpmUtils.miscutils since 
X         # - that's what it is
X+        RPMSENSE_PREREQ = (1 << 6)
X+        RPMSENSE_SCRIPT_PRE = (1 << 9)
X+        RPMSENSE_SCRIPT_POST = (1 << 10)
X         if flag is not None:
X             # Note: RPMSENSE_PREREQ == 0 since rpm-4.4'ish
X-            if flag & (rpm.RPMSENSE_PREREQ |
X-                       rpm.RPMSENSE_SCRIPT_PRE |
X-                       rpm.RPMSENSE_SCRIPT_POST):
X+            if flag & (RPMSENSE_PREREQ |
X+                       RPMSENSE_SCRIPT_PRE |
X+                       RPMSENSE_SCRIPT_POST):
X                 return 1
X         return 0
X 
X-- 
X1.6.0.2
X
410a2c72a728d2befdbc75243e291b3e
echo x - yum/files/patch-rpmUtils_Makefile
sed 's/^X//' >yum/files/patch-rpmUtils_Makefile << 'd6b87cc73fb5b1356126fec2ea7dd781'
X--- rpmUtils/Makefile.orig	2011-06-08 17:10:50.000000000 +0200
X+++ rpmUtils/Makefile	2011-06-08 17:11:49.000000000 +0200
X@@ -1,10 +1,7 @@
X PYTHON=python
X PACKAGE = $(shell basename `pwd`)
X PYFILES = $(wildcard *.py)
X-PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
X-PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
X-PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
X-PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)
X+PKGDIR = %%PYTHONPREFIX_SITELIBDIR%%/$(PACKAGE)
X 
X all: 
X 	echo "Nothing to do"
d6b87cc73fb5b1356126fec2ea7dd781
echo x - yum/files/patch-yum_Makefile
sed 's/^X//' >yum/files/patch-yum_Makefile << '43bfeab4ad8e4f4ea749f2210a9581d5'
X--- yum/Makefile.orig	2011-06-08 17:12:12.000000000 +0200
X+++ yum/Makefile	2011-06-08 17:12:27.000000000 +0200
X@@ -1,10 +1,7 @@
X PYTHON=python
X PACKAGE = $(shell basename `pwd`)
X PYFILES = $(wildcard *.py)
X-PYVER := $(shell $(PYTHON) -c 'import sys; print "%.3s" %(sys.version)')
X-PYSYSDIR := $(shell $(PYTHON) -c 'import sys; print sys.prefix')
X-PYLIBDIR = $(PYSYSDIR)/lib/python$(PYVER)
X-PKGDIR = $(PYLIBDIR)/site-packages/$(PACKAGE)
X+PKGDIR = %%PYTHONPREFIX_SITELIBDIR%%/$(PACKAGE)
X 
X all: 
X 	echo "Nothing to do"
43bfeab4ad8e4f4ea749f2210a9581d5
echo x - yum/.,
sed 's/^X//' >yum/., << 'fc7323d3b486eae21c11fe8b93c808c2'
Xdiff -ur yum.orig/Makefile yum/Makefile
X--- yum.orig/Makefile	2011-06-08 15:20:05.000000000 +0200
X+++ yum/Makefile	2011-06-07 23:45:36.000000000 +0200
X@@ -5,7 +5,7 @@
X # $FreeBSD$
X 
X PORTNAME=	yum
X-PORTVERSION=	3.2.28
X+PORTVERSION=	3.2.29
X CATEGORIES=	sysutils
X MASTER_SITES=	http://yum.baseurl.org/download/3.2/
X 
X@@ -17,7 +17,7 @@
X 		intltool-update:${PORTSDIR}/textproc/intltool
X RUN_DEPENDS=	${PYTHON_SITELIBDIR}/rpm:${PORTSDIR}/archivers/rpm4 \
X 		${PYTHON_SITELIBDIR}/_sqlite3.so:${PORTSDIR}/databases/py-sqlite3 \
X-		${PYTHON_SITELIBDIR}/sqlitecachec.py:${PORTSDIR}/archivers/py-yum-metadata-parser \
X+		${PYTHON_SITELIBDIR}/sqlitecachec.py:${PORTSDIR}/devel/py-yum-metadata-parser \
X 		${PYTHON_SITELIBDIR}/iniparse:${PORTSDIR}/devel/py-iniparse \
X 		${PYTHON_SITELIBDIR}/urlgrabber:${PORTSDIR}/www/py-urlgrabber
X 
Xdiff -ur yum.orig/distinfo yum/distinfo
X--- yum.orig/distinfo	2011-06-08 15:20:05.000000000 +0200
X+++ yum/distinfo	2011-06-07 23:45:45.000000000 +0200
X@@ -1,3 +1,2 @@
X-MD5 (yum-3.2.28.tar.gz) = 91eff58aa4c25cd4f46b21201bbf9bea
X-SHA256 (yum-3.2.28.tar.gz) = 2a69838a55528729b1126696b319d84f34036523ab78953af8a41e82a2e4e913
X-SIZE (yum-3.2.28.tar.gz) = 885287
X+SHA256 (yum-3.2.29.tar.gz) = e7baff5faa51d736d7a340a31eea1f350f0f1258c468a1206fc0458f1a4adeec
X+SIZE (yum-3.2.29.tar.gz) = 943392
Xdiff -ur yum.orig/files/patch-Makefile yum/files/patch-Makefile
X--- yum.orig/files/patch-Makefile	2011-06-08 15:20:05.000000000 +0200
X+++ yum/files/patch-Makefile	2011-06-07 23:49:52.000000000 +0200
X@@ -53,7 +53,7 @@
X @@ -64,7 +67,7 @@
X  test:
X  	@nosetests -i ".*test" test
X- 	@test/check-po-yes-no.py
X+ 	-@test/check-po-yes-no.py
X -	cd po; make test
X +	cd po; $(MAKE) test
X  
Xdiff -ur yum.orig/files/patch-etc-Makefile yum/files/patch-etc-Makefile
X--- yum.orig/files/patch-etc-Makefile	2011-06-08 15:20:05.000000000 +0200
X+++ yum/files/patch-etc-Makefile	2011-06-07 23:55:58.000000000 +0200
X@@ -1,5 +1,5 @@
X---- etc/Makefile.orig	2010-05-06 16:54:46.000000000 +0200
X-+++ etc/Makefile	2010-08-22 13:42:42.000000000 +0200
X+--- etc/Makefile.orig	2011-01-12 22:46:01.000000000 +0100
X++++ etc/Makefile	2011-06-07 23:55:37.000000000 +0200
X @@ -1,4 +1,8 @@
X -YUMETC=$(DESTDIR)/etc/yum
X +prefix = /usr
X@@ -10,7 +10,7 @@
X  
X  all:
X  	echo "Nothing to do"
X-@@ -7,25 +11,25 @@
X+@@ -7,32 +11,32 @@
X  	rm -f *.pyc *.pyo *~
X  
X  install:
X@@ -44,9 +44,24 @@
X +	install -m 755 yum-updatesd-dbus.conf $(DESTDIR)$(sysconfdir)/dbus-1/system.d/yum-updatesd.conf
X  
X -	install -m 755 yum-updatesd.conf $(DESTDIR)/etc/yum/yum-updatesd.conf
X-+	install -m 755 yum-updatesd.conf $(DESTDIR)$(sysconfdir)/yum/yum-updatesd.conf.sample
X- 
X+-
X -	mkdir -p $(DESTDIR)/etc/bash_completion.d
X -	install -m 644 yum.bash $(DESTDIR)/etc/bash_completion.d
X+-	mkdir -p $(DESTDIR)/etc/cron.daily
X+-	mkdir -p $(DESTDIR)/etc/sysconfig/
X+-	install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
X+-	install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
X+-	install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
X+-	install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
X+-	install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron
X++	install -m 755 yum-updatesd.conf $(DESTDIR)$(sysconfdir)/yum/yum-updatesd.conf.sample
X++
X +	mkdir -p $(DESTDIR)$(sysconfdir)/bash_completion.d
X +	install -m 644 yum.bash $(DESTDIR)$(sysconfdir)/bash_completion.d
X++	#mkdir -p $(DESTDIR)/etc/cron.daily
X++	#mkdir -p $(DESTDIR)/etc/sysconfig/
X++	#install -D -m 755 0yum.cron $(DESTDIR)/etc/cron.daily/0yum.cron
X++	#install -D -m 755 yum-cron $(DESTDIR)/etc/rc.d/init.d/yum-cron
X++	#install -D -m 644 yum-daily.yum $(YUMETC)/yum-daily.yum
X++	#install -D -m 644 yum-weekly.yum $(YUMETC)/yum-weekly.yum
X++	#install -D -m 644 yum-cron.sysconf $(DESTDIR)/etc/sysconfig/yum-cron
fc7323d3b486eae21c11fe8b93c808c2
echo x - yum/.pkg-plist.swp
sed 's/^X//' >yum/.pkg-plist.swp << 'd36c2818c9cc116176d2f968a8661bdb'
Xb0VIM 7.3
Comment 7 Pietro Cerutti freebsd_committer 2012-10-19 09:48:56 UTC
State Changed
From-To: feedback->closed

Version 3.4.3 finally committed.